kind: pipeline
name: sonarcube
type: docker

steps:
  - name: code-analysis
    pull: if-not-exists
    image: sonarsource/sonar-scanner-cli
    commands:
      - sonar-scanner -Dsonar.host.url=$SONAR_HOST -Dsonar.login=$SONAR_TOKEN -Dsonar.projectKey=$SONAR_PROJECT_KEY
    environment:
      SONAR_HOST:
        from_secret: sonar_host
      SONAR_TOKEN:
        from_secret: sonar_token
      SONAR_PROJECT_KEY:
        from_secret: sonar_project_key

trigger:
  event:
    - push
    - pull_request
